scala.tools.nsc.backend.opt.Inliners.Inliner

# imethodOrdering

#### object imethodOrdering extends Ordering[Global.icodes.IMethod]

Source
  Inliners.scala

Linear Supertypes
math.Ordering[Global.icodes.IMethod], math.PartialOrdering[Global.icodes.IMethod], math.Equiv[Global.icodes.IMethod], Serializable, java.io.Serializable, Comparator[Global.icodes.IMethod], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. imethodOrdering
2. Ordering
3. PartialOrdering
4. Equiv
5. Serializable
6. Serializable
7. Comparator
8. AnyRef
9. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Ops extends AnyRef

   Definition Classes
     Ordering

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### def compare(a: Global.icodes.IMethod, b: Global.icodes.IMethod): Int

   Definition Classes
     imethodOrdering → Ordering → Comparator

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### def equiv(x: Global.icodes.IMethod, y: Global.icodes.IMethod): Boolean

   Definition Classes
     Ordering → PartialOrdering → Equiv

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def gt(x: Global.icodes.IMethod, y: Global.icodes.IMethod): Boolean

    Definition Classes
      Ordering → PartialOrdering

13. #### def gteq(x: Global.icodes.IMethod, y: Global.icodes.IMethod): Boolean

    Definition Classes
      Ordering → PartialOrdering

14. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### def lt(x: Global.icodes.IMethod, y: Global.icodes.IMethod): Boolean

    Definition Classes
      Ordering → PartialOrdering

17. #### def lteq(x: Global.icodes.IMethod, y: Global.icodes.IMethod): Boolean

    Definition Classes
      Ordering → PartialOrdering

18. #### def max(x: Global.icodes.IMethod, y: Global.icodes.IMethod): Global.icodes.IMethod

    Definition Classes
      Ordering

19. #### def min(x: Global.icodes.IMethod, y: Global.icodes.IMethod): Global.icodes.IMethod

    Definition Classes
      Ordering

20. #### implicit def mkOrderingOps(lhs: Global.icodes.IMethod): Ops

    Definition Classes
      Ordering

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def on[U](f: (U) ⇒ Global.icodes.IMethod): math.Ordering[U]

    Definition Classes
      Ordering

25. #### def reverse: math.Ordering[Global.icodes.IMethod]

    Definition Classes
      Ordering → PartialOrdering

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def tryCompare(x: Global.icodes.IMethod, y: Global.icodes.IMethod): Some[Int]

    Definition Classes
      Ordering → PartialOrdering

29. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

30. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from math.Ordering[Global.icodes.IMethod]

### Inherited from math.PartialOrdering[Global.icodes.IMethod]

### Inherited from math.Equiv[Global.icodes.IMethod]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Comparator[Global.icodes.IMethod]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped